import request from '@/utils/request'

// 查询IOT仪器弹出视频列表
export function listSource(query) {
  return request({
    url: '/system/modeOpenSource/list',
    method: 'get',
    params: query
  })
}

// 查询IOT仪器弹出视频详细
export function getSource(id) {
  return request({
    url: '/system/modeOpenSource/' + id,
    method: 'get'
  })
}

// 新增IOT仪器弹出视频
export function addSource(data) {
  return request({
    url: '/system/modeOpenSource',
    method: 'post',
    data: data
  })
}

// 修改IOT仪器弹出视频
export function updateSource(data) {
  return request({
    url: '/system/modeOpenSource',
    method: 'put',
    data: data
  })
}

// 删除IOT仪器弹出视频
export function delSource(id) {
  return request({
    url: '/system/modeOpenSource/' + id,
    method: 'delete'
  })
}
